Create Shopify Action
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"action_timing": "<string>",
"type": "<string>",
"webhook": {
"type": "<string>",
"mandatory": true,
"url": "<string>"
}
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions"
payload = {
"name": "<string>",
"description": "<string>",
"action_timing": "<string>",
"type": "<string>",
"webhook": {
"type": "<string>",
"mandatory": True,
"url": "<string>"
}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
action_timing: '<string>',
type: '<string>',
webhook: {type: '<string>', mandatory: true, url: '<string>'}
})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"action_id": "<string>",
"name": "<string>",
"type": "<string>"
}
}Create-Action
Create Shopify Action
Create Shopify integration actions for product lookup, order status, and e-commerce automation.
POST
/
v2
/
_actions
Create Shopify Action
Authorizations
Enter your ContactSwing JWT Bearer token.
Request Body
Action display name. Example:
My Shopify ActionAction purpose. Example:
TestWhen to trigger:
"DURING"Action type:
"SHOPIFY"Response
201 Created - Shopify action created successfullyRequest context ID
⌘I

